FIREWALLD.IPSET(5)

NAME
firewalld.ipset - firewalld ipset configuration files

SYNOPSIS

/etc/firewalld/ipsets/ipset.xml
/usr/lib/firewalld/ipsets/ipset.xml

DESCRIPTION

A firewalld ipset configuration file provides the information of an ip set for firewalld. The most important configuration options are type, option and entry.

This example configuration file shows the structure of an ipset configuration file:

    <?xml version="1.0" encoding="utf-8"?>
    <ipset type="hash:ip">
      <short>My Ipset</short>
      <description>description</description>
      <entry>1.2.3.4</entry>
      <entry>1.2.3.5</entry>
      <entry>1.2.3.6</entry>
    </ipset>

OPTIONS

The config can contain these tags and attributes. Some of them are mandatory, others optional.

  ipset

The mandatory ipset start and end tag defines the ipset. This tag can only be used once in a ipset configuration file. There is one mandatory and also optional attributes for ipsets:

type="string"
    The mandatory type of the ipset. To get the list of supported types, use firewall-cmd --get-ipset-types.

version="string"
    To give the ipset a version.

  short

Is an optional start and end tag and is used to give an ipset a more readable name.

  description

Is an optional start and end tag to have a description for a ipset.

  option

Is an optional empty-element tag and can be used several times to have more than one option. Mostly all attributes of an option entry are mandatory:

name="string"
    The mandatory option name string.

value="string"
    The optional value of the option.

The supported options are: family: "inet"|"inet6", timeout: integer, hashsize: integer, maxelem: integer. For more information on these options, please have a look at the ipset documentation.

  entry

Is an optional start and end tag and can be used several times to have more than one entry entry. An entry entry does not have attributes.

SEE ALSO
firewall-applet(1), firewalld(1), firewall-cmd(1), firewall-config(1), firewalld.conf(5), firewalld.direct(5), firewalld.dbus(5), firewalld.icmptype(5), firewalld.lockdown-whitelist(5), firewall-offline-cmd(1), firewalld.richlanguage(5), firewalld.service(5), firewalld.zone(5), firewalld.zones(5), firewalld.policy(5), firewalld.policies(5), firewalld.ipset(5), firewalld.helper(5)

NOTES

firewalld home page:
    http://firewalld.org

AUTHORS

Thomas Woerner <twoerner@redhat.com>
    Developer

Jiri Popelka <jpopelka@redhat.com>
    Developer

Eric Garver <eric@garver.life>
    Developer